%define libname		%mklibname %{name}
%define libname_gnutls	%mklibname %{name}-gnutls

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define glib2_version 2.73.3

%global tarball_version %%(echo %{version} | tr '~' '.')

Summary:	Network-related GIO modules
Name:		glib-networking
Version:        2.76.0
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
Url:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz
BuildRequires:	gettext
BuildRequires:	meson
BuildRequires:  pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(libproxy-1.0) >= 0.3.1
BuildRequires:	pkgconfig(gnutls) >= 2.12.8
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(libsystemd)
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libname_gnutls} = %{version}-%{release}

%description
This package contains the network-related GIO modules for GLib.

%package -n %{libname}
Summary:	Network-related GIO modules
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
Requires:	%{libname_gnutls} >= %{version}-%{release}
Requires:	gsettings-desktop-schemas

%description -n %{libname}
This package contains the network-related GIO modules for GLib.

# ovitters: DO NOT ADD REQUIRES TO BLOW SUBPACKAGE
#           GIO/GLib recommends this specific package so that GLib
#           always has TLS support. glib-networking itself indirectly
#           has too many dependencies
%package -n %{libname_gnutls}
Summary:	GIO module enabling TLS support for GLib
Group:		System/Libraries
Conflicts:	%{libname} < 2.47.1-3

%description -n %{libname_gnutls}
This package contains the gnutls GIO module enabling TLS support to GLib.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%check
#meson_test

%files -f %{name}.lang
%doc README
%{_libexecdir}/glib-pacrunner
%{_datadir}/dbus-1/services/org.gtk.GLib.PACRunner.service
%{_userunitdir}/glib-pacrunner.service


%files -n %{libname}
%{_libdir}/gio/modules/libgiolibproxy.so
%{_libdir}/gio/modules/libgiognomeproxy.so

%files -n %{libname_gnutls}
%{_libdir}/gio/modules/libgiognutls.so


%changelog
* Sat Apr 22 2023 tmb <tmb> 2.76.0-1.mga9
+ Revision: 1954183
- update filelist
- update to 2.76.0

* Thu Sep 22 2022 tv <tv> 2.74.0-1.mga9
+ Revision: 1891610
- Update to 2.74.0

* Mon Sep 19 2022 tv <tv> 2.74~rc-1.mga9
+ Revision: 1890164
- Update to 2.74~rc

* Tue Mar 15 2022 tv <tv> 2.72~beta-2.mga9
+ Revision: 1793247
- Update to 2.72~beta

* Sat Jan 29 2022 neoclust <neoclust> 2.70.0-2.mga9
+ Revision: 1770231
- Rebuild for armv7

* Mon Jan 10 2022 tv <tv> 2.70.0-1.mga9
+ Revision: 1767438
- 2.70.0

* Mon Dec 06 2021 ovitters <ovitters> 2.68.3-1.mga9
+ Revision: 1760936
- new version 2.68.3

* Sun Aug 08 2021 luigiwalser <luigiwalser> 2.68.2-1.mga9
+ Revision: 1740186
- 2.68.2

* Thu Apr 22 2021 ovitters <ovitters> 2.68.1-1.mga9
+ Revision: 1717953
- new version 2.68.1

* Thu Mar 25 2021 ovitters <ovitters> 2.68.0-1.mga9
+ Revision: 1709898
- new version 2.68.0

* Sat Sep 12 2020 ovitters <ovitters> 2.66.0-1.mga8
+ Revision: 1624857
- new version 2.66.0

* Fri Aug 07 2020 ovitters <ovitters> 2.65.90-1.mga8
+ Revision: 1611830
- new version 2.65.90

* Thu Jul 09 2020 ovitters <ovitters> 2.65.1-1.mga8
+ Revision: 1603444
- new version 2.65.1

* Fri May 29 2020 ovitters <ovitters> 2.64.3-1.mga8
+ Revision: 1588700
- new version 2.64.3

* Tue Apr 14 2020 ovitters <ovitters> 2.64.2-1.mga8
+ Revision: 1567339
- new version 2.64.2
+ danf <danf>
- Switch URLs from http: to https:

* Fri Mar 27 2020 ovitters <ovitters> 2.64.1-1.mga8
+ Revision: 1561265
- new version 2.64.1

* Fri Mar 06 2020 ovitters <ovitters> 2.64.0-1.mga8
+ Revision: 1554461
- new version 2.64.0

* Fri Feb 28 2020 ovitters <ovitters> 2.63.92-1.mga8
+ Revision: 1551299
- new version 2.63.92

* Wed Feb 19 2020 umeabot <umeabot> 2.63.91-2.mga8
+ Revision: 1542382
- Mageia 8 Mass Rebuild

* Mon Feb 17 2020 ovitters <ovitters> 2.63.91-1.mga8
+ Revision: 1537556
- new version 2.63.91

* Sat Jan 04 2020 ovitters <ovitters> 2.62.3-1.mga8
+ Revision: 1476306
- new version 2.62.3

* Mon Dec 09 2019 ovitters <ovitters> 2.62.2-1.mga8
+ Revision: 1465546
- new version 2.62.2

* Sat Oct 05 2019 ovitters <ovitters> 2.62.1-1.mga8
+ Revision: 1449387
- new version 2.62.1

* Sat Sep 07 2019 ovitters <ovitters> 2.62.0-1.mga8
+ Revision: 1438219
- new version 2.62.0

* Mon Sep 02 2019 ovitters <ovitters> 2.61.92-1.mga8
+ Revision: 1436199
- new version 2.61.92

* Tue Aug 06 2019 tv <tv> 2.61.90-1.mga8
+ Revision: 1427620
- new release

* Tue Jul 02 2019 ovitters <ovitters> 2.60.3-1.mga8
+ Revision: 1417605
- new version 2.60.3

* Mon May 06 2019 daviddavid <daviddavid> 2.60.2-1.mga7
+ Revision: 1396425
- new version 2.60.2

* Wed Apr 17 2019 umeabot <umeabot> 2.60.1-2.mga7
+ Revision: 1392260
- Rebuild with meson 0.50.1

* Tue Apr 02 2019 ovitters <ovitters> 2.60.1-1.mga7
+ Revision: 1384923
- new version 2.60.1

* Tue Mar 12 2019 ovitters <ovitters> 2.60.0.1-1.mga7
+ Revision: 1374987
- new version 2.60.0.1

* Mon Mar 11 2019 ovitters <ovitters> 2.60.0-1.mga7
+ Revision: 1374068
- new version 2.60.0

* Thu Mar 07 2019 ovitters <ovitters> 2.59.92-1.mga7
+ Revision: 1372523
- new version 2.59.92

* Mon Sep 03 2018 ovitters <ovitters> 2.58.0-1.mga7
+ Revision: 1256330
- new version 2.58.0

* Mon Aug 27 2018 ovitters <ovitters> 2.57.92-1.mga7
+ Revision: 1254930
- new version 2.57.92

* Mon Aug 13 2018 ovitters <ovitters> 2.57.90-1.mga7
+ Revision: 1251210
- new version 2.57.90

* Tue Jul 17 2018 ovitters <ovitters> 2.57.3-1.mga7
+ Revision: 1243905
- new version 2.57.3

* Wed May 23 2018 ovitters <ovitters> 2.57.2-1.mga7
+ Revision: 1231939
- new version 2.57.2
- new version 2.56.1

* Sat Mar 10 2018 ovitters <ovitters> 2.56.0-1.mga7
+ Revision: 1208009
- new version 2.56.0

* Tue Feb 13 2018 ovitters <ovitters> 2.55.90-1.mga7
+ Revision: 1200759
- new version 2.55.90

* Mon Jan 08 2018 ovitters <ovitters> 2.55.2-1.mga7
+ Revision: 1191728
- new version 2.55.2

* Fri Oct 27 2017 ovitters <ovitters> 2.54.1-1.mga7
+ Revision: 1173886
- new version 2.54.1

* Tue Sep 12 2017 ovitters <ovitters> 2.54.0-1.mga7
+ Revision: 1153180
- new version 2.54.0

* Mon Aug 21 2017 ovitters <ovitters> 2.53.90-1.mga7
+ Revision: 1142585
- new version 2.53.90

* Mon Sep 19 2016 ovitters <ovitters> 2.50.0-1.mga6
+ Revision: 1054292
- new version 2.50.0

* Sun Sep 18 2016 ovitters <ovitters> 2.49.90-1.mga6
+ Revision: 1053784
- new version 2.49.90

* Mon May 09 2016 ovitters <ovitters> 2.48.2-1.mga6
+ Revision: 1011283
- new version 2.48.2

* Tue Apr 26 2016 ovitters <ovitters> 2.48.1-1.mga6
+ Revision: 1006399
- new version 2.48.1

* Mon Mar 21 2016 ovitters <ovitters> 2.48.0-1.mga6
+ Revision: 993811
- new version 2.48.0

* Mon Feb 15 2016 ovitters <ovitters> 2.47.90-1.mga6
+ Revision: 961675
- new version 2.47.90

* Fri Jan 15 2016 wally <wally> 2.47.1-4.mga6
+ Revision: 923323
- add conflicts due to a file move between pkgs

* Thu Jan 14 2016 ovitters <ovitters> 2.47.1-3.mga6
+ Revision: 923058
- split gnutls support into a subpackage
- remove unneeded post and postun scripts (trigger already takes care of it)

* Mon Jan 11 2016 luigiwalser <luigiwalser> 2.47.1-2.mga6
+ Revision: 921805
- rebuild for gnutls

* Mon Nov 23 2015 ovitters <ovitters> 2.47.1-1.mga6
+ Revision: 905135
- new version 2.47.1

* Mon Oct 12 2015 ovitters <ovitters> 2.46.1-1.mga6
+ Revision: 890145
- new version 2.46.1

* Thu Sep 24 2015 tv <tv> 2.46.0-1.mga6
+ Revision: 882631
- new release

* Sun Jun 21 2015 ovitters <ovitters> 2.45.1-1.mga6
+ Revision: 837795
- new version 2.45.1

* Tue Dec 09 2014 ovitters <ovitters> 2.42.1-1.mga5
+ Revision: 802400
- new version 2.42.1

* Wed Oct 15 2014 umeabot <umeabot> 2.42.0-2.mga5
+ Revision: 749908
- Second Mageia 5 Mass Rebuild

* Mon Sep 29 2014 wally <wally> 2.42.0-1.mga5
+ Revision: 731752
- new version 2.42.0

* Tue Sep 16 2014 umeabot <umeabot> 2.41.92-2.mga5
+ Revision: 679641
- Mageia 5 Mass Rebuild

* Mon Sep 15 2014 ovitters <ovitters> 2.41.92-1.mga5
+ Revision: 676800
- new version 2.41.92

* Tue Jul 22 2014 ovitters <ovitters> 2.41.4-1.mga5
+ Revision: 655576
- new version 2.41.4

* Mon Jun 23 2014 ovitters <ovitters> 2.41.3-1.mga5
+ Revision: 639067
- new version 2.41.3

* Mon Apr 14 2014 ovitters <ovitters> 2.40.1-1.mga5
+ Revision: 614065
- new version 2.40.1

* Mon Mar 24 2014 ovitters <ovitters> 2.40.0-1.mga5
+ Revision: 608123
- new version 2.40.0

* Tue Feb 18 2014 ovitters <ovitters> 2.39.90-1.mga5
+ Revision: 594112
- new version 2.39.90

* Sat Feb 08 2014 dams <dams> 2.39.3-1.mga5
+ Revision: 585877
- new version 2.39.3

* Tue Nov 12 2013 ovitters <ovitters> 2.38.2-1.mga4
+ Revision: 550664
- new version 2.38.2

* Wed Oct 23 2013 ovitters <ovitters> 2.38.1-1.mga4
+ Revision: 546386
- new version 2.38.1
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 ovitters <ovitters> 2.38.0-1.mga4
+ Revision: 484580
- new version 2.38.0

* Mon Jul 29 2013 ovitters <ovitters> 2.37.5-1.mga4
+ Revision: 460677
- new version 2.37.5

* Tue Jul 09 2013 ovitters <ovitters> 2.37.4-1.mga4
+ Revision: 452076
- new version 2.37.4

* Sat Jun 01 2013 ovitters <ovitters> 2.37.2-1.mga4
+ Revision: 433993
- new version 2.37.2

* Sat May 25 2013 tv <tv> 2.36.2-1.mga4
+ Revision: 427100
- new release

* Sat Jan 12 2013 umeabot <umeabot> 2.34.2-2.mga3
+ Revision: 351807
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 2.34.2-1.mga3
+ Revision: 317394
- new version 2.34.2

* Thu Oct 11 2012 ovitters <ovitters> 2.34.0-2.mga3
+ Revision: 304662
- add require on gsettings-desktop-schemas (mga#7766)

* Mon Sep 24 2012 ovitters <ovitters> 2.34.0-1.mga3
+ Revision: 297176
- new version 2.34.0

* Tue Sep 18 2012 ovitters <ovitters> 2.33.14-1.mga3
+ Revision: 295630
- new version 2.33.14

* Tue Sep 04 2012 ovitters <ovitters> 2.33.12-1.mga3
+ Revision: 288007
- new version 2.33.12

* Tue Aug 21 2012 ovitters <ovitters> 2.33.10-1.mga3
+ Revision: 282761
- update glib2.0 br
- new version 2.33.10

* Mon Aug 06 2012 ovitters <ovitters> 2.33.8-1.mga3
+ Revision: 279602
- new version 2.33.8

* Tue Jun 26 2012 ovitters <ovitters> 2.33.3-1.mga3
+ Revision: 263892
- new version 2.33.3

* Tue May 15 2012 ovitters <ovitters> 2.32.3-1.mga3
+ Revision: 235715
- new version 2.32.3

* Mon Apr 16 2012 ovitters <ovitters> 2.32.1-1.mga2
+ Revision: 231128
- new version 2.32.1

* Mon Mar 26 2012 ovitters <ovitters> 2.32.0-1.mga2
+ Revision: 226892
- new version 2.32.0

* Mon Mar 19 2012 ovitters <ovitters> 2.31.22-1.mga2
+ Revision: 224537
- new version 2.31.22

* Tue Mar 06 2012 fwang <fwang> 2.31.20-1.mga2
+ Revision: 219637
- new version 2.31.20

* Thu Feb 09 2012 wally <wally> 2.31.16-1.mga2
+ Revision: 206723
- new version 2.31.16

* Tue Dec 20 2011 fwang <fwang> 2.31.6-1.mga2
+ Revision: 184764
- new version 2.31.6

* Tue Nov 22 2011 fwang <fwang> 2.31.2-1.mga2
+ Revision: 170730
- new version 2.31.2

* Thu Oct 27 2011 wally <wally> 2.31.0-1.mga2
+ Revision: 158654
- new version 2.31.0

* Tue Oct 18 2011 fwang <fwang> 2.30.1-1.mga2
+ Revision: 156030
- new version 2.30.1

* Tue Sep 27 2011 fwang <fwang> 2.30.0-1.mga2
+ Revision: 149079
- new versino 2.30.0

* Tue Sep 20 2011 fwang <fwang> 2.29.92-1.mga2
+ Revision: 145858
- new version 2.29.92

* Wed Aug 31 2011 fwang <fwang> 2.29.18-1.mga2
+ Revision: 136835
- new version 2.29.18
- this patch not needed now
- bump glib req
- new version 2.29.15
- br gcrypt
- rebuild for new gnutls
+ dmorgan <dmorgan>
- Port to new gnutls gnutls_certificate_verify_peers2 API

* Wed Jul 06 2011 wally <wally> 2.29.9-1.mga2
+ Revision: 119245
- new version 2.29.9
- use .tar.xz source
- clean .spec a bit
+ dmorgan <dmorgan>
- Fix file list
- Fix file list

* Thu Jun 09 2011 dmorgan <dmorgan> 2.28.7-1.mga2
+ Revision: 102523
- New version 2.28.7

* Fri Apr 15 2011 ahmad <ahmad> 2.28.5-1.mga1
+ Revision: 85781
- update to 2.28.5
- add BR gnutls-devel
- add requires on %%libname to the main package
- use the %%{__isa_bits} in %%post/postun

* Mon Mar 07 2011 dmorgan <dmorgan> 2.26.0-1.mga1
+ Revision: 66290
- imported package glib-networking


* Wed Oct 13 2010 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2011.0
+ Revision: 585446
- update to new version 2.26.0

* Tue Aug 31 2010 Götz Waschk <waschk@mandriva.org> 2.25.0-1mdv2011.0
+ Revision: 574667
- import glib-networking

